/*
 * $Id: Unit.java,v 1.2 2010/04/22 18:27:19 oboehm Exp $
 *
 * Copyright (c) 2010 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 18.01.2010 by oliver (ob@oasd.de)
 */

package patterntesting.runtime.jmx;

import java.lang.annotation.*;

import javax.management.DescriptorKey;

/**
 * This annotation can be used inside MBean interfaces to document the
 * unit of an attribute.
 *
 * @author oliver
 * @since 1.0 (18.01.2010)
 */
@Documented
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Unit {

    /** name of a unit (e.g. "seconds"). */
    @DescriptorKey("Unit")
    String value();

}
